Comando para actualizar Samba Version 3.0.33 a version 3.4. o superior

Comentarios sobre el buen funcionamiento del sistema y como personalizarlo a tus necesidades.

Moderadores: doc, mcun

Responder
stell_gom
Forista Nuevo
Forista Nuevo
Mensajes: 12
Registrado: Mar Ago 31, 2010 4:47 am

Comando para actualizar Samba Version 3.0.33 a version 3.4. o superior

Mensaje por stell_gom » Mié Ene 26, 2011 12:40 am

Amigos aun estoy rompiendo el coco para poder agregar unas maquinas win7 a mi dominio Samba con linux centos, luego de haber realizado de todo, me di cuenta que es la version de samba la que no me deja agregar la maquina.

Por favor si alguien me puede ayudar con los comandos para actualizar, la version que tengo es 3.0.33-3.29 y necesito parasarla a 3.4 o superior. le agradezco eternamente.

Si realizo la actualizacion afecta el servicio de controlador pdc samba.??

gracias
Avatar de Usuario
_osorio_
Miembro ETEL
Miembro ETEL
Mensajes: 526
Registrado: Mié Dic 08, 2004 8:00 am
Ubicación: BS. AS Argentina
Contactar:

Re: Comando para actualizar Samba Version 3.0.33 a version 3.4. o superior

Mensaje por _osorio_ » Mié Ene 26, 2011 5:22 pm

Que versión de CentOS tienes? La versión 5.5 añade soporte para Windows 7 en el paquete samba3x.
Saludos.
Matías S. Sardisco | http://msardisco.com.ar


$ emerge --info | head -n3
Portage 2.1.9.34 (default/linux/x86/10.0, gcc-4.5.2, glibc-2.12.2-r0, 2.6.37-ck i686)
=================================================================
System uname: Linux-2.6.37-ck-i686-Intel-R-_Atom-TM-_CPU_N270_@_1.60GHz-with-gentoo-2.0.1
stell_gom
Forista Nuevo
Forista Nuevo
Mensajes: 12
Registrado: Mar Ago 31, 2010 4:47 am

Re: Comando para actualizar Samba Version 3.0.33 a version 3.4. o superior

Mensaje por stell_gom » Jue Ene 27, 2011 2:35 am

_osorio_ escribió:Que versión de CentOS tienes? La versión 5.5 añade soporte para Windows 7 en el paquete samba3x.

Tengo Centos 5.5, hoy realice una actualizacion pero a 3.3. de samba y ahora no me permite actualizar a 3.5

Si me ayudas con el comando para actualizar a 3.4 haber si con ese si se deja, te agradezco.


Ya realice de todo, cambios de resgistros de win 7, cambios en la politicas de seguridad de win7, parches de windows para poder agregar al dominio en fin de todo.
la maquina ingresa bien al dominio como te dije con un parche que encontre para win7, pero cuando intento agregar el usurio con el dominio me dice que no hay confianza entre la maquina y el dominio principal.


Lo que encontre por ahi es que la version de samba debe ser superior 3.4 o superior.

Si me ayudas con el comando para actualizar a 3.4


como ultimo esfuerzo

gracias.

Editado -- Mié Ene 26, 2011 8:05 pm --
stell_gom escribió:
_osorio_ escribió:Que versión de CentOS tienes? La versión 5.5 añade soporte para Windows 7 en el paquete samba3x.

Tengo Centos 5.5, hoy realice una actualizacion pero a 3.3. de samba y ahora no me permite actualizar a 3.5

Si me ayudas con el comando para actualizar a 3.4 haber si con ese si se deja, te agradezco.


Ya realice de todo, cambios de resgistros de win 7, cambios en la politicas de seguridad de win7, parches de windows para poder agregar al dominio en fin de todo.
la maquina ingresa bien al dominio como te dije con un parche que encontre para win7, pero cuando intento agregar el usurio con el dominio me dice que no hay confianza entre la maquina y el dominio principal.


Lo que encontre por ahi es que la version de samba debe ser 3.4 o superior. me habia equivocado.

Si me ayudas con el comando para actualizar a 3.4


como ultimo esfuerzo

gracias.
Avatar de Usuario
_osorio_
Miembro ETEL
Miembro ETEL
Mensajes: 526
Registrado: Mié Dic 08, 2004 8:00 am
Ubicación: BS. AS Argentina
Contactar:

Re: Comando para actualizar Samba Version 3.0.33 a version 3.4. o superior

Mensaje por _osorio_ » Jue Ene 27, 2011 10:50 pm

Desde la versión 3.3.7 tiene soporte para W7. Yo te recomendaría que te quedes con el paquete samba3x, que si no me equivoco, es la versión 3.3.8. A mi me esta funcionando perfecto. Tu problema me suena a tema de políticas de Windows.

Si aún así, decides actualizar, hay un repo para RH con versiones mas nuevas: http://ftp.sernet.de/pub/samba/

Están la 3.4 y 3.5. Para instalar la 3.5 deberías hacer algo así:

Código: Seleccionar todo

# cd /etc/yum.repos.d/
# wget http://ftp.sernet.de/pub/samba/3.5/centos/5/sernet-samba.repo
# yum remove samba3x
# yum install samba3
Saludos.
Matías S. Sardisco | http://msardisco.com.ar


$ emerge --info | head -n3
Portage 2.1.9.34 (default/linux/x86/10.0, gcc-4.5.2, glibc-2.12.2-r0, 2.6.37-ck i686)
=================================================================
System uname: Linux-2.6.37-ck-i686-Intel-R-_Atom-TM-_CPU_N270_@_1.60GHz-with-gentoo-2.0.1
stell_gom
Forista Nuevo
Forista Nuevo
Mensajes: 12
Registrado: Mar Ago 31, 2010 4:47 am

Re: Comando para actualizar Samba Version 3.0.33 a version 3.4. o superior

Mensaje por stell_gom » Sab Ene 29, 2011 12:11 am

_osorio_ escribió:Desde la versión 3.3.7 tiene soporte para W7. Yo te recomendaría que te quedes con el paquete samba3x, que si no me equivoco, es la versión 3.3.8. A mi me esta funcionando perfecto. Tu problema me suena a tema de políticas de Windows.


Si aún así, decides actualizar, hay un repo para RH con versiones mas nuevas: http://ftp.sernet.de/pub/samba/

Están la 3.4 y 3.5. Para instalar la 3.5 deberías hacer algo así:

Código: Seleccionar todo

# cd /etc/yum.repos.d/
# wget http://ftp.sernet.de/pub/samba/3.5/centos/5/sernet-samba.repo
# yum remove samba3x
# yum install samba3
-----------------------------------------------------

Imaginate que instale la nueva version de samba la 3.5, y nada no me dejo agregar el usuario win7 mira estos son los cambios que realice en las politicas.

Panel de Control - > Herramientas administrativas - > Directiva de seguridad Local
Seleccione: Directivas locales - > Opciones de seguridad

"Seguridad de red: nivel de autenticación de LAN Manager"-> Enviar LM y NTLM respuestas
"Seguridad de sesión del mínimo para NTLM SSP-" > Deseleccionar: cifrado requieren 128 bits"


luego modifique el registro de win 7 asi:

Dos claves de dword dentro de HKEY_LOCAL_MACHINESYSTEMCurrentControlSetservicesLanmanWorkstationParameters:

"domaincompatibilitymode" = 1
"dnsnameresolutionrequired" = 0

Y dos en HKEY_LOCAL_MACHINESYSTEMCurrentControlSetservicesNetlogonParameters:

"requiresignonseal" = 0
"requirestrongkey" = 0



Osorio, tu me puedes dejar ver tu configuracion global para ver si hay algun parametro faltante dentro de mi configuracion samba?

el equipo entra al dominio luego de los cambios, pero no me deja agregar el usuario al domino me dice que error de confianza entre el cliente y el servidor.


no se que mas hacer.... buuu

gracias de antemano..

bye
Avatar de Usuario
_osorio_
Miembro ETEL
Miembro ETEL
Mensajes: 526
Registrado: Mié Dic 08, 2004 8:00 am
Ubicación: BS. AS Argentina
Contactar:

Re: Comando para actualizar Samba Version 3.0.33 a version 3.4. o superior

Mensaje por _osorio_ » Vie Feb 04, 2011 10:23 pm

Te paso los parámetros, pero dudo que el problema venga del lado de Samba. A nosotros nos paso algo parecido, pero lo resolvió la gente de soporte de Windows y era un tema de políticas.

Código: Seleccionar todo

      2 [global]
      3         unix charset = CP850
      4         workgroup = LALALALALALALA
      5         netbios aliases = HOSTNAME
      6         server string = Samba Server
      7         username map = /usr/local/samba/lib/user.map
      8         log file = /usr/local/samba/var/log.%m
      9         max log size = 50
     10         passdb backend = smbpasswd
     11         os level = 65
     12         #preferred master = Yes
     13         preferred master = No
     14         domain master = Yes
     15         domain logons = Yes
     16         logon script = %u.bat
     17         logon path =
     18         dns proxy = Yes
     19         wins proxy = Yes
     20         wins support = Yes
     21         printing = cups
     22         name resolve order = wins host bcast
     23         ldap ssl = no
     24         admin users = @groupadmin
     25         null passwords = no
     26         utmp = yes
     27         browseable = Yes
     28         socket options = TCP_NODELAY
     29         time server = Yes
     30         interfaces = eth0 222.222.0.0/24 222.222.22.0/24
     32 [netlogon]
     33         comment = Network Logon Service
     34         path = /home/samba/netlogon
     35         guest ok = yes
     36         browseable = no
     37         writeable = no
     38         share modes = no
     39 
     40 [homes]
     41         comment = Home Directories
     42         path = /home/%u/data
     43         read only = No
     44         vfs objects = recycle
     45         recycle:touch_mtime = Yes
     46         recycle:exclude = NTUSER.DAT
     47         recycle:maxsize = 10000000
     48         veto files = .recycle/
Saludos.
Matías S. Sardisco | http://msardisco.com.ar


$ emerge --info | head -n3
Portage 2.1.9.34 (default/linux/x86/10.0, gcc-4.5.2, glibc-2.12.2-r0, 2.6.37-ck i686)
=================================================================
System uname: Linux-2.6.37-ck-i686-Intel-R-_Atom-TM-_CPU_N270_@_1.60GHz-with-gentoo-2.0.1
Responder
  • Similar Topics
    Respuestas
    Vistas
    Último mensaje